Skip to content
On this page

Create URA Tin Verification Request ​

Accepts requests for verifying URA Tin details.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/tinid-test/api/tins?v=2.0
Productionhttps://api.streamline.laboremus.ug/tin/api/tins?v=2.0

Sandbox testing

See the Sandbox Context page for TIN formats and test numbers.

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Content type

application/json

Request Body ​

NameTypeRequiredDescription
tinstring(10)yesTin number to be verified.

Example Request Body ​

json
{
	"tin": "string"
}
{
	"tin": "string"
}

Response ​

Content type

application/json

Response Body ​

NameTypeDescription
idstring (uuid)A Guid / uuid / A set of unique Alphanumerical characters assigned to this verification request.
requestUristring or nullThe URL to find the request
statusstring(Enum : Pending, Completed, Failed)Status of the request sent to verify

Example Response Body ​

json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}

Error Response ​

400 Bad Request

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors ​

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Unauthorized

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Forbidden

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Not Found

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 Server Error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Error Codes ​

When working with our TIN API, you'll encounter errors shown below. Each type of error comes with an appropriate code and suggestion to aid in troubleshooting.

All errors share the same basic response format.code indicating the error code,message providing an overview of the error, description to show more information about the error, suggestion to aid in troubleshooting and type describing the error type

CodeMessageDescriptionSuggestionType
S0001FAILED_TO_VERIFY_TAX_IDENTIFICATION_NUMBERFailed to verify Tax Identification NumberSomething went wrong, Please contact support at email support@laboremus.ugFatal
S0002INVALID_TAX_IDENTIFICATION_NUMBERThe Tax Identification Number provided is invalid.The Tax Identification Number (TIN) provided is invalid. Please check and try againData
S0003INVALID_CREDENTIALSThe connection credentials provided are invalid.Please check your credentials or contact support at email support@laboremus.ugAuthentication
S0004UNKNOWN_ERRORAn unknown error has occurred, preventing the requested action from being completed.Please try again later.If the issue persists, contact our support team at support@laboremus.ug with details about the action you were attempting to perform.Fatal

Tech Served Right